/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. See
 * http://www.eu-egee.org/partners/ for details on the copyright holders.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.glite.security.util;

import java.security.cert.CertificateException;

/**
 * An exception that is thrown in case an expected certificate is not found.
 * @author Joni Hahkala
 *
 */
public class CertificateNotFoundException extends CertificateException {

	/**
	 * The serial version id of the class.
	 */
	private static final long serialVersionUID = 2821574933549720111L;

	/**
	 * Generates a new exception with the given message. 
	 * @param msg
	 */
	public CertificateNotFoundException(String msg){
		super(msg);
	}
	
}
